{% extends "base.html" %}
{% from "macro.html" import render_pagination, commentDiv with context %}
{% block head %}
    {{ super() }}
    {{ ckeditor.load_code_theme() }}
    <!--suppress ALL -->
    <link rel="stylesheet" href="{{url_for('static',filename='css/post.css')}}">
{% endblock %}
{% block title %}
    {{ post.title }}
{% endblock %}

{% block content %}
    {{ moment.locale(auto_detect=True) }}
    <body>
    <main>
        <div class="container mt-2">
            {% include "_flash.html" %}
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a class="text-decoration-none" href="/">主页</a></li>
                <li class="breadcrumb-item">讨论</li>
            </ol>
            <!-- 帖子主要信息 -->
            <div class="post-div">
                <h1 class="post-title-h1" id="postTitle" data-id="{{ post.id }}">{{ post.title }}</h1>
                <div class="d-flex mb-0">
                    <p class="text-muted mr-2 mb-0"><i class="fa fa-thumbs-o-up mr-1"></i><a href="/post/like/{{post.id}}"><span class="d-none d-lg-inline-block">赞同</span></a>({{post.like}}) </p>
                    <p class="text-muted mr-2 mb-0"><i class="fa fa-thumbs-o-up mr-1"></i><a href="/post/fork/{{post.id}}"><span class="d-none d-lg-inline-block">收藏</span></a>({{post.fork}}) </p>
                    {% if current_user.role.name == "老师" %}
                    <p class="text-muted mr-2 mb-0"><i class="fa fa-thumbs-o-up mr-1"></i><a href="/post/star/{{post.id}}"><span class="d-none d-lg-inline-block">{%if post.star %}已{%endif%}标记</span></a></p>
                    {% endif %}
                    <p class="text-muted mb-0"><i class="fa fa-calendar-minus-o mr-1"></i>{{post.create_time}}</p>
                </div>
                <img src="{{ url_for('static', filename=post.user.avatar ) }}"  width="50" height="50" class="rounded avatar-50">
                <div class="d-flex">
                    <div>
                        <a class="ml-2 text-decoration-none text-info" href="#">{{ post.user.nickname }}</a>
                    </div>
                </div>
                <div class="mt-2">
                    <article>
                        {{ post.content|safe }}
                    </article>
                </div>
                {% if current_user.is_authenticated and current_user.id == post.user.id %}
                    <div class="d-flex flex-row-reverse mt-1">
                        {% if current_user.role.name == "老师"%}
                            <a class="text-decoration-none text-muted" href="/post/editt/{{ post.id }}"><small>编辑</small></a>
                        {% else %}
                            <a class="text-decoration-none text-muted" href="/post/edit/{{ post.id }}"><small>编辑</small></a>
                        {% endif %}
                        <a class="mr-2 text-decoration-none text-muted" href="/post/delete/{{ post.id }}"><small>删除</small></a>
                    </div>
                {% elif current_user.is_authenticated and ((current_user.role.name == "老师" and post.user.role.name =="学生") or current_user.role.name == "管理员")%}
                    <div class="d-flex flex-row-reverse mt-1">
                        <a class="mr-2 text-decoration-none text-muted" href="/post/delete/{{ post.id }}"><small>删除</small></a>
                    </div>
                {% endif %}
            </div>
            <div class="div-gutter20"></div>
             <!-- 评论主要信息 -->
            {% if comments %}
                <div class="post-div">
                    <div class=" mt-2">
                        <div class="d-flex div-comment-body">
                            {{ pagination.total }}条回复 &nbsp;&nbsp; · &nbsp;&nbsp;{{post.update_time}}
                        </div>
                        {% for comment in comments %}
                            <div class="div-comment-body mt-2">
                                <!-- 评论用户个人信息 -->
                                <div class="d-flex">
                                    <div class="d-flex">
                                        {{ commentDiv(comment, post) }}
                                    </div>
                                </div>
                                <!-- 用户评论内容 -->
                                <div class="mt-1">
                                    {% if comment.replied_id %}
                                        <div class="post-content">
                                            <p class="mb-1 ">引用<a href="#" class="p-reply text-decoration-none">@{{ comment.replied.author.nickname }}</a>回复</p>
                                            {{ comment.replied.body|safe }}
                                        </div>
                                    {% endif %}
                                    {{ comment.body|safe }}
                                </div>
                                {% if current_user.is_authenticated and current_user.id == comment.author.id or current_user.role.name == "管理员" %}
                                
                                <div class="d-flex  flex-row-reverse mt-1">
                                    <div>
                                        <a class="mr-2 text-decoration-none text-muted"
                                            href="/post/delete-comment/{{ comment.id }}"><small>删除</small></a>
                                    </div>
                                </div>
                                
                                {% endif %}
                            </div>
                        {% endfor %}
                        {% if pagination.pages > 1 %}
                            <div class="d-flex flex-row-reverse mt-2">
                                {{ render_pagination(pagination=pagination, size='sm') }}
                            </div>
                        {% endif %}
                    </div>
                </div>
                <div class="div-gutter20"></div>
            {% endif %}
            <div class="post-div post-comment">
            <p id="commentPosition"></p>
            {% if current_user.is_authenticated %}
                <div>
                    <ul class="nav nav-pills " role="tablist">
                    </ul>
                    <div class="tab-content">
                        <div id="addComment" class="tab-pane active">
                            <textarea onkeydown="tab(this)" class="form-control mt-2 report-textarea" style="height: 150px!important;" id="commentContent" placeholder="请输入评论内容"></textarea>
                            <div class="d-flex mt-1">
                            </div>
                            <div class="d-flex flex-row-reverse">
                                <button class="btn btn-info" id="commentBtn" onclick="postComment()">评论</button>
                                <button hidden="hidden" id="replyBtn" onclick="replyComment()" class="btn btn-success mt-2">回复</button>
                                <button hidden="hidden" id="cancleReplyBtn" onclick="cancleReply()" class="btn btn-danger mt-2 mr-2">取消</button>
                                <a id="replyUserP" hidden="hidden" class="p-reply flex-grow-1 text-decoration-none"></a>
                            </div>
                        </div>
                        <!-- 评论预览界面 -->
                        <div id="previewComment" class="tab-pane fade">
                            <div id="previewHtml" class="mt-2" style="min-height: 50px">

                            </div>
                        </div>
                    </div>
                </div>
            {% else %}
                <div class="text-center">
                    <div class="card-body text-center m-2 m-md-3 f-16" id="no-editor">
                        <div>您尚未登录，
                            <a href="/auth/login"><span class="badge badge-info">登录</span></a> 或
                            <a href="/auth/register"><span class="badge badge-success">注册</span></a> 后评论
                        </div>
                    </div>
                </div>
            {% endif %}
        </div>
        </div>
    </main>
    <script src="{{ url_for('static', filename='js/post.js') }}"></script>
    </body>
{% endblock %}